Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.serving.images.register({
imageRegister: {
name: "<value>",
source: "<value>",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Serving.Images.RegisterAsync(body: new ImageRegister() {
Name = "<value>",
Source = "<value>",
});
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.serving.images.register(name="<value>", source="<value>")
# Handle response
print(res)curl --request POST \
--url https://apigw.mka1.com/api/v1/serving/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source": "<string>",
"digest": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', source: '<string>', digest: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/serving/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"digest": "<string>",
"error": "<string>",
"id": "<string>",
"name": "<string>",
"source": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Container Images
Register a container image
Register a container image by reference so it can back a BYO deployment or a recipe. (Data upload and build-with-weight-baking are future additions.)
POST
/
api
/
v1
/
serving
/
images
Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.serving.images.register({
imageRegister: {
name: "<value>",
source: "<value>",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Serving.Images.RegisterAsync(body: new ImageRegister() {
Name = "<value>",
Source = "<value>",
});
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.serving.images.register(name="<value>", source="<value>")
# Handle response
print(res)Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Response
Registered.
A registered container image, usable by BYO deployments and recipes.
Content digest (sha256:). Empty until resolved.
Registry reference or URL the image was registered from.
Available options:
pending, ready, failed Was this page helpful?
⌘I